<?php if ( resume_manager_user_can_view_resume( $post->ID ) ) : ?>
	<div class="single-resume-content">

		<?php do_action( 'single_resume_start' ); ?>

		
		<div class="resume-aside">
			
			<p class="name"><?php // the_title(); ?> <?php the_candidate_photo(); ?></p>
			<div class="main-content">
				<div class="left">
					<p class="job-title"><?php the_candidate_title(); ?></p>
					<p class="location"><?php the_candidate_location(); ?></p>
				</div>
				<div class="right">
					<?php the_resume_links(); ?>
				</div>
				<div class="clear"></div>
				<?php get_job_manager_template( 'contact-details.php', array( 'post' => $post ), 'wp-job-manager-resumes', RESUME_MANAGER_PLUGIN_DIR . '/templates/' ); ?>
			</div>
			

			

			<div class="clear"></div>
			<p class="video"><?php the_candidate_video(); ?></p>

			

			<div class="resume_description">
				<?php echo apply_filters( 'the_resume_description', get_the_content() ); ?>

				<div class="row-fluid">
					<?php if ( $items = get_post_meta( $post->ID, '_candidate_education', true ) ) : ?>
						<div class="span6">
							<h2><?php _e( 'Education', 'wp-job-manager-resumes' ); ?></h2>
							<dl class="resume-manager-education">
							<?php 
								foreach( $items as $item ) : ?>

									<dt>
										<small class="date"><?php echo esc_html( $item['date'] ); ?></small>
										<h3><?php printf( __( '%s at %s', 'job_manager' ), '<strong class="qualification">' . esc_html( $item['qualification'] ) . '</strong>', '<strong class="location">' . esc_html( $item['location'] ) . '</strong>' ); ?></h3>
									</dt>
									<dd>
										<?php echo wpautop( wptexturize( $item['notes'] ) ); ?>
									</dd>

								<?php endforeach;
							?>
							</dl>
						</div>
					<?php endif; ?>

					<?php if ( $items = get_post_meta( $post->ID, '_candidate_experience', true ) ) : ?>
						<div class="span6">
							<h2><?php _e( 'Experience', 'wp-job-manager-resumes' ); ?></h2>
							<dl class="resume-manager-experience">
							<?php 
								foreach( $items as $item ) : ?>

									<dt>
										<small class="date"><?php echo esc_html( $item['date'] ); ?></small>
										<h3><?php printf( __( '%s at %s', 'job_manager' ), '<strong class="job_title">' . esc_html( $item['job_title'] ) . '</strong>', '<strong class="employer">' . esc_html( $item['employer'] ) . '</strong>' ); ?></h3>
									</dt>
									<dd>
										<?php echo wpautop( wptexturize( $item['notes'] ) ); ?>
									</dd>

								<?php endforeach;
							?>
							</dl>
						</div>
					<?php endif; ?>
				</div>

				<?php if ( ( $skills = wp_get_object_terms( $post->ID, 'resume_skill', array( 'fields' => 'names' ) ) ) && is_array( $skills ) ) : ?>
					<h2><?php _e( 'Skills', 'wp-job-manager-resumes' ); ?></h2>
					<ul class="resume-manager-skills">
						<?php 
							for ($i = 0; $i <= count($skills)-1; $i++) {
								if ($i == count($skills)-1) {
									echo "<li class='".sanitize_title($skills[$i])." last'>".$skills[$i]."</li>";
								} else {
									echo "<li class='".sanitize_title($skills[$i])."'>".$skills[$i]."</li>";
								}
							} 
						?>
					</ul>
				<?php endif; ?>


			<ul class="meta">
				<?php do_action( 'single_resume_meta_start' ); ?>

				<?php if ( get_the_resume_category() ) : ?>
					<li class="resume-category"><?php the_resume_category(); ?></li>
				<?php endif; ?>

				<li class="date-posted" itemprop="datePosted"><date><?php printf( __( 'Updated %s ago', 'wp-job-manager-resumes' ), human_time_diff( get_the_modified_time( 'U' ), current_time( 'timestamp' ) ) ); ?></date></li>

				<?php do_action( 'single_resume_meta_end' ); ?>
			</ul>

			</div>
		</div>

	</div>
<?php else : ?>
	
	<?php get_job_manager_template_part( 'access-denied', 'single-resume', 'wp-job-manager-resumes', RESUME_MANAGER_PLUGIN_DIR . '/templates/' ); ?>

<?php endif; ?>